[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# SetDirSeparators

Set the directory separators to the known directory separators.

## Declaration

Source position: finah.inc line 39

`function SetDirSeparators(`
`const FileName: String`
`):String;`

## Description

SetDirSeparators returns FileName with all possible DirSeparators replaced by OSDirSeparator.

## Errors

None.

## See also

ExpandFileName |  | Expand a relative filename to an absolute filename.
ExtractFilePath |  | Extract the path from a filename.
ExtractFileDir |  | Extract the drive and directory part of a filename.

## Example

    Program Example47;

    { This program demonstrates the SetDirSeparators function }

    Uses sysutils;

    Begin
      Writeln (SetDirSeparators('/pp\bin/win32\ppc386'));
    End.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.